--- old/usr/src/cmd/sgs/dump/common/dump.c	Thu Jan 24 10:05:23 2019
+++ new/usr/src/cmd/sgs/dump/common/dump.c	Thu Jan 24 10:05:23 2019
@@ -833,12 +833,6 @@
 	}
 	sym_size = sym_data->d_size;
 
-	if (p_scns == NULL) {
-		(void) fprintf(stderr,
-		"%s: %s: no section table data\n", prog_name, filename);
-		return;
-	}
-
 	if (p_scns->p_shdr.sh_type == SHT_RELA) {
 		if (!n_flag && r_flag)
 			(void) printf("\n%s:\n", p_scns->scn_name);
--- old/usr/src/cmd/sgs/lex/common/libmain.c	Thu Jan 24 10:05:23 2019
+++ new/usr/src/cmd/sgs/lex/common/libmain.c	Thu Jan 24 10:05:23 2019
@@ -27,7 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 #include "stdio.h"
 
@@ -40,7 +42,7 @@
 int
 main(int argc, char **argv)
 {
-	yylex();
+	(void) yylex();
 	exit(0);
 
 	/*NOTREACHED*/
--- old/usr/src/cmd/sgs/libelf/common/ar.c	Thu Jan 24 10:05:23 2019
+++ new/usr/src/cmd/sgs/libelf/common/ar.c	Thu Jan 24 10:05:23 2019
@@ -28,6 +28,10 @@
  *	  All Rights Reserved
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <ar.h>
 #include <stdlib.h>
 #include <memory.h>
@@ -156,6 +160,7 @@
 		if ((l = (Memlist *)malloc(sizeof (Memlist) +
 		    (sizeof (Memident) * MEMIDENTNO))) == 0) {
 			_elf_seterr(EMEM_ARMEM, errno);
+			free(m);
 			return (0);
 		}
 		l->m_next = 0;
--- old/usr/src/cmd/sgs/libelf/common/update.c	Thu Jan 24 10:05:24 2019
+++ new/usr/src/cmd/sgs/libelf/common/update.c	Thu Jan 24 10:05:24 2019
@@ -29,6 +29,10 @@
  *	  All Rights Reserved
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <memory.h>
 #include <malloc.h>
 #include <limits.h>
@@ -743,9 +747,6 @@
 	unsigned	u;
 	Ehdr		*eh = elf->ed_ehdr;
 
-	if (elf == 0)
-		return (-1);
-
 	ELFWLOCK(elf)
 	switch (cmd) {
 	default:
--- old/usr/src/cmd/sgs/libld/common/ldentry.c	Thu Jan 24 10:05:24 2019
+++ new/usr/src/cmd/sgs/libld/common/ldentry.c	Thu Jan 24 10:05:24 2019
@@ -26,6 +26,10 @@
  * Copyright (c) 1992, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include	<stdio.h>
 #include	<string.h>
 #include	"msg.h"
@@ -156,7 +160,7 @@
 		 * like _init() and _fini() commonly have multiple occurrences).
 		 */
 		if ((sdp->sd_ref == REF_DYN_SEEN) ||
-		    (sdp->sd_aux && sdp->sd_aux->sa_symspec) ||
+		    (sdp->sd_aux->sa_symspec) ||
 		    (strcmp(MSG_ORIG(MSG_SYM_FINI_U), name) == 0) ||
 		    (strcmp(MSG_ORIG(MSG_SYM_INIT_U), name) == 0) ||
 		    (strcmp(MSG_ORIG(MSG_SYM_LIBVER_U), name) == 0))
--- old/usr/src/cmd/sgs/libld/common/util.c	Thu Jan 24 10:05:24 2019
+++ new/usr/src/cmd/sgs/libld/common/util.c	Thu Jan 24 10:05:24 2019
@@ -29,6 +29,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * Utility functions
  */
 #include <unistd.h>
@@ -319,7 +323,7 @@
  */
 static int
 str2chr(Lm_list *lml, int ndx, int argc, char **argv, char *arg, int c,
-    const char *opt, size_t optsz, int cbfunc(int))
+    const char *opt, size_t optsz, int (*cbfunc)(int))
 {
 	if (optsz == 0) {
 		/*
